"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.apm = void 0;
const elastic_apm_node_1 = __importDefault(require("elastic-apm-node"));
const config_js_1 = require("./config.js");
const url = config_js_1.getErrorReporting();
/**
 * Configure APM for error reporting
 * @param {boolean} active Enable or disable
 * @returns {typeof import('elastic-apm-node')}
 */
const setupApm = active => elastic_apm_node_1.default.start({
    serverUrl: url,
    serviceName: 'openneuro-cli',
    environment: 'production',
    logLevel: 'fatal',
    active,
});
/**
 * @type {typeof import('elastic-apm-node')}
 */
exports.apm = setupApm(url ? true : false);
